TechDraw HorizontalExtentDimension/fr: Difference between revisions

From FreeCAD Documentation
(Created page with "# Sélectionnez une vue ou une collection d'arêtes dans une vue. # Appuyez sur le bouton {{Button|16px TechDraw Dimension Horizont...")
No edit summary
 
(101 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
<languages/>

{{Docnav
{{Docnav/fr
|[[TechDraw_Balloon/fr|Nouveau Balloon]]
|[[TechDraw_3PtAngleDimension/fr|Cote angulaire par 3 points]]
|[[TechDraw_Dimension_Vertical Extent/fr|Nouvelle Extension Verticale]]
|[[TechDraw_VerticalExtentDimension/fr|Cote étendue verticale]]
|[[TechDraw_Module/fr|TechDraw]]
|[[TechDraw_Workbench/fr|Atelier TechDraw]]
|IconL=TechDraw_Balloon.svg
|IconL=TechDraw_3PtAngleDimension.svg
|IconR=TechDraw_VerticalExtentDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Dimension_HExtent.svg
}}
}}


{{GuiCommand/fr
{{GuiCommand/fr
|Name=TechDraw Dimension Horizontal Extent
|Name=TechDraw HorizontalExtentDimension
|Name/fr=TechDraw Extension Dimension Horizontale
|Name/fr=TechDraw Cote étendue horizontale
|MenuLocation=TechDraw → Dimension Horizontal Extent
|MenuLocation=TechDraw → Dimensions Insérer une cote étendue horizontale
|Workbenches=[[TechDraw Module/fr|TechDraw]]
|Workbenches=[[TechDraw_Workbench/fr|TechDraw]]
|Version=0.19
|SeeAlso=[[TechDraw Dimension Length/fr|TechDraw Dimension Longueur]], [[TechDraw Dimension Vertical Extent/fr|TechDraw Extension Dimension Verticale]]
|SeeAlso=[[TechDraw_LengthDimension/fr|TechDraw Cote de longueur]], [[TechDraw_VerticalExtentDimension/fr|TechDraw Cote étendue verticale]]
}}
}}


==Description==
==Description==


L'outil Dimension Horizontal Extent ajoute une dimension linéaire à une vue. La cote s'étend du point le plus à gauche sur les objets sélectionnés au point le plus à droite. Un CosmeticVertex sera placé à chaque point.
L'outil '''TechDraw Cote étendue horizontale''' ajoute une cote linéaire à une vue. La cote s'étend du point le plus à gauche des objets sélectionnés jusqu'au point le plus à droite.


[[Image:TechDraw_Dimension_Horizontal_Extent_example.png|400px]]
{{Caption|Cotes étendues horizontale et verticale d'une surface B-spline}}


<span id="Usage"></span>
[[Image:TechDraw_Dimension_Horizontal_Extent_example.png]]
{{Caption|Dimension d'extension horizontale sur une face de BSpline}}

==Utilisation==
==Utilisation==


# Sélectionnez une vue ou une collection d'arêtes dans une vue.
# Sélectionnez une vue ou une collection d'arêtes dans une vue.
# Il y a plusieurs façons de lancer l'outil :
# Appuyez sur le bouton {{Button|[[Image: TechDraw_Dimension_HExtent.svg|16px]] [[TechDraw Dimension Horizontal Extent|Cote Extension horizontale]]}}
#* Appuyez sur le bouton {{Button|[[Image:TechDraw_HorizontalExtentDimension.svg|16px]] [[TechDraw_HorizontalExtentDimension/fr|Insérer une cote étendue horizontale]]}}
# Une dimension sera ajoutée à la vue. La cote peut être déplacée à la position souhaitée.
#* Sélectionnez l'option {{MenuCommand|TechDraw → Dimensions → [[Image:TechDraw_HorizontalExtentDimension.svg|16px]] Insérer une cote étendue horizontale}} du menu.
# Une cote est ajoutée à la vue.
# La cote peut être déplacée jusqu'à la position souhaitée.
# Si nécessaire, ajoutez des tolérances comme décrit sur [[TechDraw_Geometric_dimensioning_and_tolerancing/fr#Tolérances|cette page]].

<span id="Change_properties"></span>
===Changer les propriétés===

Pour modifier les propriétés d'un objet dimension, double-cliquez dessus dans le dessin ou dans la [[Tree_view/fr|vue en arborescence]]. Cela ouvrira la [[TechDraw_LengthDimension/fr#Bo.C3.AEte_de_dialogue_Dimension|boîte de dialogue Dimension]].


== Limitations ==
== Limitations ==


Les objets Cote sont vulnérables au "[[Topological_naming_problem/fr|problème de nommage topologique]]". Voir [[TechDraw_LengthDimension/fr|TechDraw Cote de longueur]].
Dimension objects are vulnerable to "topological naming" issues. See the information in the [[TechDraw Dimension Length]] tool for more information.


<span id="Notes"></span>
==Properties==
==Remarques==


Voir [[TechDraw_LengthDimension/fr#Remarques/fr|TechDraw Cote de longueur]].
This object has the same properties as the [[TechDraw Dimension Length]] tool. See that tool for details. Exceptions noted.


<span id="Properties"></span>
=== Data ===
==Propriétiés==


Voir [[TechDraw_LengthDimension/fr#Propri.C3.A9t.C3.A9s|TechDraw Cote de longueur]]. Exceptions notées ci-dessous.
* {{PropertyData|MeasureType}}: {{TRUE}} - based on 3D geometry or "Projected" - based on the drawing. Not normally manipulated directly by the end user. Not yet implemented for Dimension Horizontal Extent.


<span id="Data"></span>
==Scripting==
=== Données ===


{{Properties_Title|Base}}
{{Emphasis|See also:}} [[TechDraw API]] and [[FreeCAD Scripting Basics]].


* {{PropertyData|Measure Type|Enumeration}} : pas encore implémenté pour les cotes étendues.
The Dimension Horizontal Extent tool can be used in [[macros]] and from the [[Python]] console by using the following functions:

<span id="Scripting"></span>
==Script==

Voir aussi : [https://freecad.github.io/SourceDoc/ Autogenerated API documentation] et [[FreeCAD_Scripting_Basics/fr|FreeCAD Débuter avec les scripts]].

L'outil Cote étendue horizontale peut être utilisé dans des [[Macros/fr|macros]] et à partir de la console [[Python/fr|Python]] à l'aide des fonctions suivantes:


{{Code|code=
{{Code|code=
selection = [(view1, 'Edge1'), (view1, 'Edge2')] #or [] for all
selection = ['Edge1', 'Edge2'] # or [] for all

hExtentDim = TechDraw.Dimension.makeExtentDim(selection, HORIZONTAL)
TechDraw.makeExtentDim(view1, selection, 0) # view1 is a DrawViewPart; 0 for horizontal
rc = page.addView(hExtentDim)
App.ActiveDocument.DimExtent.Y = -60 # offset dimension line from dimensioned edges in Y direction
App.ActiveDocument.DimExtent.X = 10 # offset dimension text along dimension line in X direction
App.ActiveDocument.DimExtent.FormatSpec = '%.0f' # Dimension format

TechDraw.makeExtentDim(view1, selection, 1) # view1 is a DrawViewPart; 1 for vertical
App.ActiveDocument.DimExtent001.X = -130 # offset dimension line from dimensioned edges in X direction
App.ActiveDocument.DimExtent001.Y = 10 # offset dimension text along dimension line in Y direction
App.ActiveDocument.DimExtent001.FormatSpec = '%.0f'

# Note the dimension names are 'DimExtent', 'DimExtent001' etc in the order created.
}}
}}




{{Docnav
{{Docnav/fr
|[[TechDraw_3PtAngleDimension/fr|Cote angulaire par 3 points]]
|[[TechDraw_Balloon/fr|Nouveau Balloon]]
|[[TechDraw_VerticalExtentDimension/fr|Cote étendue verticale]]
|[[TechDraw_Dimension_Vertical Extent/fr|Nouvelle Extension Verticale]]
|[[TechDraw_Module/fr|TechDraw]]
|[[TechDraw_Workbench/fr|Atelier TechDraw]]
|IconL=TechDraw_Balloon.svg
|IconL=TechDraw_3PtAngleDimension.svg
|IconR=TechDraw_VerticalExtentDimension.svg
|IconC=Workbench_TechDraw.svg
|IconC=Workbench_TechDraw.svg
|IconR=TechDraw_Dimension_HExtent.svg
}}
}}


{{TechDraw Tools navi/fr}}
{{TechDraw Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi/fr}}
{{clear}}

Latest revision as of 12:37, 29 July 2023

Other languages:

TechDraw Cote étendue horizontale

Emplacement du menu
TechDraw → Dimensions → Insérer une cote étendue horizontale
Ateliers
TechDraw
Raccourci par défaut
Aucun
Introduit dans la version
0.19
Voir aussi
TechDraw Cote de longueur, TechDraw Cote étendue verticale

Description

L'outil TechDraw Cote étendue horizontale ajoute une cote linéaire à une vue. La cote s'étend du point le plus à gauche des objets sélectionnés jusqu'au point le plus à droite.

Cotes étendues horizontale et verticale d'une surface B-spline

Utilisation

  1. Sélectionnez une vue ou une collection d'arêtes dans une vue.
  2. Il y a plusieurs façons de lancer l'outil :
  3. Une cote est ajoutée à la vue.
  4. La cote peut être déplacée jusqu'à la position souhaitée.
  5. Si nécessaire, ajoutez des tolérances comme décrit sur cette page.

Changer les propriétés

Pour modifier les propriétés d'un objet dimension, double-cliquez dessus dans le dessin ou dans la vue en arborescence. Cela ouvrira la boîte de dialogue Dimension.

Limitations

Les objets Cote sont vulnérables au "problème de nommage topologique". Voir TechDraw Cote de longueur.

Remarques

Voir TechDraw Cote de longueur.

Propriétiés

Voir TechDraw Cote de longueur. Exceptions notées ci-dessous.

Données

Base

  • DonnéesMeasure Type (Enumeration) : pas encore implémenté pour les cotes étendues.

Script

Voir aussi : Autogenerated API documentation et FreeCAD Débuter avec les scripts.

L'outil Cote étendue horizontale peut être utilisé dans des macros et à partir de la console Python à l'aide des fonctions suivantes:

selection = ['Edge1', 'Edge2']                      # or [] for all

TechDraw.makeExtentDim(view1, selection, 0)         # view1 is a DrawViewPart; 0 for horizontal
App.ActiveDocument.DimExtent.Y = -60                # offset dimension line from dimensioned edges in Y direction
App.ActiveDocument.DimExtent.X = 10                 # offset dimension text along dimension line in X direction
App.ActiveDocument.DimExtent.FormatSpec = '%.0f'    # Dimension format

TechDraw.makeExtentDim(view1, selection, 1)         # view1 is a DrawViewPart; 1 for vertical
App.ActiveDocument.DimExtent001.X = -130            # offset dimension line from dimensioned edges in X direction
App.ActiveDocument.DimExtent001.Y = 10              # offset dimension text along dimension line in Y direction
App.ActiveDocument.DimExtent001.FormatSpec = '%.0f'

# Note the dimension names are 'DimExtent', 'DimExtent001' etc in the order created.